Name:           lv2-newtonator
Version:        0.6.0
Release:        7%{?dist}
Summary:        An LV2 soft synth

Group:          Applications/Multimedia
# stated as GPLv2 on project page
License:        GPLv3+
URL:            http://sourceforge.net/projects/newtonator/
Source0:        http://downloads.sourceforge.net/project/newtonator/newtonator-%{version}.tar.gz
BuildRequires:  lv2-c++-tools-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  stk-devel
BuildRequires:  lv2-devel
BuildRequires:  cmake
Requires:       lv2

%description
The Newtonator is an LV2 soft synth that uses a unique algorithm based on 
simple ideas of velocity and acceleration to produce some unpredictable sounds.

%prep
%setup -q -n newtonator-%{version}
find . -name "*.h"  -exec chmod -x {} \; ;
find . -name "*.cpp" -exec chmod -x {} \; ;

%build
%ifarch sparcv9 sparc64 s390 s390x
export CXXFLAGS="%{optflags} -fPIC"
%else
export CXXFLAGS="%{optflags} -fpic"
%endif

%cmake -DLV2_INSTALL_DIR=%{_libdir}/lv2 \
  -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags} 

%install
make install DESTDIR=%{buildroot}

%files
%doc README COPYING.Newtonator RELEASE AUTHORS
%{_libdir}/lv2/newtonator.lv2
%{_libdir}/lv2/newtonator_gtk.lv2

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.6.0-6
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 31 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.0-2
- adjust CXXFLAGS to fix FTBFS on ARM

* Sat Dec 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.6.0-1
- Initial development
